## com.google.javascript.jscomp.deps
Class JsFileLineParser

    java.lang.Object
      com.google.javascript.jscomp.deps.JsFileLineParser

Direct Known Subclasses:
  DepsFileParser, JsFileParser, JsFunctionParser

    public abstract class JsFileLineParser

extends Object

Base class for classes that parse Javascript sources on a line-by-line basis. Strips comments from files and records all parsing errors.

Constructor Summary
`JsFileLineParser(ErrorManager errorManager)` Constructor.

Method Summary
`boolean` | `didParseSucceed()`
`void` | `setShortcutMode(boolean mode)` In shortcut mode, the file line parser can stop reading early if it thinks it found enough information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsFileLineParser

    public JsFileLineParser(ErrorManager errorManager)

  Constructor.

  Parameters:
    `errorManager` - Parse error handler.

Method Detail

### setShortcutMode

    public void setShortcutMode(boolean mode)

  In shortcut mode, the file line parser can stop reading early if it thinks it found enough information. For example, many parsers assume that dependency information never shows up after "real" code.

### didParseSucceed

    public boolean didParseSucceed()